<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\Translation;

use App\Dto\Service\Dto;

final readonly class Update extends Dto
{
    public function __construct(
        private Translations $translations,
        private bool $isTranslateAutomatically = false,
    ) { }

    public function getTranslations(): Translations
    {
        return $this->translations;
    }

    public function isTranslateAutomatically(): bool
    {
        return $this->isTranslateAutomatically;
    }
}
