<?php declare(strict_types=1);

namespace App\Dto\Service\ProjectTranslationServiceTextHash;

final class Codes
{
    private array $codes = [];

    public function add(string $code, string $value): self
    {
        $this->codes[$code] = $value;

        return $this;
    }

    public function getCodes(): array
    {
        return $this->codes;
    }

    public function getCodeNames(): array
    {
        return \array_keys($this->codes);
    }
}
